<?php
/**
 * {@inheritdoc}
 *
 * Testovací verze.
 */
class Dalten_Export_SrealityTest extends Dalten_Export_Sreality
{
	/**
	 * {@inheritdoc}
	 *
	 * Testovací verze.
	 */
	protected function _convert(array $convertedValues, array $originalvalues, $entityName)
	{
		$convertedValues = parent::_convert($convertedValues, $originalvalues, $entityName);

        if ($entityName == 'listing') {
            foreach ($convertedValues as $key=>$value) {
                if (is_array($value)) {
                    // reindexujeme pole aby z něj pak v xmlrpc nebyl struct
                    $convertedValues[$key] = array_values($value);
                }
            }
        }

		return $convertedValues;
	}
}
